Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22971

Description

While "qgis" or "qgis --nocustomization" launches qgis application, typing "qgis --help" at a command prompt does not show the help

History

#1 - 2016-06-25 05:44 PM - Larry Shaffer

I believe (can't find docs on this right now) that this stems from Windows not allowing applications to be defined as both GUI and console. This is why you

can not also just get DebugInfo output on a Win console launch of QGIS.

This may be able to be overcome (with AllocConsole or AttachConsole Win API calls, though I have not tested):

http://stackoverflow.com/questions/54536

#2 - 2016-09-17 04:09 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed

On windows now a message box is opened on --help. Fixed in commit:a465b0e, commit:8ced780, commit:bd23bf1a and commit:f61c993

#3 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

2025-12-22 1/1

http://stackoverflow.com/questions/54536

